Package ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws

# Class CancelTransactionResult

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericResult
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.CancelTransactionResult

public class CancelTransactionResult extends GenericResult

Java class for CancelTransactionResult complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CancelTransactionResult">
       <complexContent>
         <extension base="{http://uws.provider.com/}GenericResult">
           <sequence>
             <element name="transactionState" type="{http://www.w3.org/2001/XMLSchema}int"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `transactionState`

  ### Fields inherited from class ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericResult

  `errorMsg, status, timeStamp`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CancelTransactionResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getTransactionState()`
  Gets the value of the transactionState property.
  `void`
  `setTransactionState(int value)`
  Sets the value of the transactionState property.

  ### Methods inherited from class ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericResult

  `getErrorMsg, getStatus, getTimeStamp, setErrorMsg, setStatus, setTimeStamp`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### transactionState

    protected int transactionState

- ## Constructor Details

  - ### CancelTransactionResult

    public CancelTransactionResult()

- ## Method Details

  - ### getTransactionState

    public int getTransactionState()
    Gets the value of the transactionState property.

  - ### setTransactionState

    public void setTransactionState(int value)
    Sets the value of the transactionState property.